using Edge.Core.Domain.FccMachineInfo.Input;
using Edge.Core.Domain.FccMachineInfo.Output;

namespace FccLite.Web.Repositories.FccMachineInfo
{
    public interface IMachineRepository
    {
        Task<List<MachineInfoOutput>> GetMachine(long stationId);

        Task<int> UploadMachine(UploadMachineInfo uploadMachineInfo);

        Task<Edge.Core.Domain.FccMachineInfo.FccMachineInfo?> DeleteMachine(long machineId);
    }
}
